ReportRecord (messages 1.5.0-2.12.0 API)
Date: 2013-02-16

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.messages.records
Class ReportRecord

    java.lang.Object
      org.gcube.messaging.common.messages.records.BaseRecord
          org.gcube.messaging.common.messages.records.ReportRecord

All Implemented Interfaces:
  Serializable

    public class ReportRecord

extends BaseRecord

Author:
  Andrea Manzi(CERN)
See Also:
  Serialized Form

Nested Class Summary
`static class` | `ReportRecord.ReportSubType`

Field Summary

Fields inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`date`

Constructor Summary
`ReportRecord()`

Method Summary
`String` | `getAuthor()`
`String` | `getMimetype()`
`String` | `getName()`
`ReportRecord.ReportSubType` | `getSubType()`
`String` | `getTemplateID()`
`String` | `getTemplateName()`
`String` | `getType()`
`void` | `setAuthor(String author)`
`void` | `setMimetype(String mimetype)`
`void` | `setName(String name)`
`void` | `setSubType(ReportRecord.ReportSubType subType)`
`void` | `setTemplateID(String templateID)`
`void` | `setTemplateName(String templateName)`
`void` | `setType(String type)`

Methods inherited from class org.gcube.messaging.common.messages.records.BaseRecord
`getDate, setDate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ReportRecord

    public ReportRecord()

Method Detail

### getSubType

    public ReportRecord.ReportSubType getSubType()

### setSubType

    public void setSubType(ReportRecord.ReportSubType subType)

### getTemplateName

    public String getTemplateName()

### setTemplateName

    public void setTemplateName(String templateName)

### getTemplateID

    public String getTemplateID()

### setTemplateID

    public void setTemplateID(String templateID)

### getName

    public String getName()

### setName

    public void setName(String name)

### getMimetype

    public String getMimetype()

### setMimetype

    public void setMimetype(String mimetype)

### getType

    public String getType()

### setType

    public void setType(String type)

### getAuthor

    public String getAuthor()

### setAuthor

    public void setAuthor(String author)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.